### Method

# Fwupd Plugin to_variant

since: 1.5.0

#### Declaration [src]

    GVariant*
    fwupd_plugin_to_variant (
      FwupdPlugin* self
    )

#### Description [src]

Serialize the plugin data omitting sensitive fields.

Available since: 1.5.0

#### Return value

Type: `GVariant`

The serialized data, or `NULL` for error.

The caller of the method takes ownership of the data, and is responsible for freeing it.